package com.yonge.cooleshow.admin.controller;

import com.yonge.cooleshow.admin.dto.HomeStatistical;
import com.yonge.cooleshow.admin.dto.search.UserStatisticalSearch;
import com.yonge.cooleshow.admin.service.OmsOrderService;
import com.yonge.cooleshow.mall.common.api.CommonResult;
import com.yonge.cooleshow.mbg.model.CmsPrefrenceArea;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-26
 */
@Controller
@Api(tags = "首页商城统计")
@RequestMapping("/statistical")
public class AdminStatisticalController {

    @Autowired
    private OmsOrderService orderService;


    @ApiOperation("商城首页统计")
    @RequestMapping(value = "/home", method = RequestMethod.GET)
    @ResponseBody
    public CommonResult<HomeStatistical> userStatistical() {

        HomeStatistical statistical = orderService.statistical();

        return CommonResult.success(statistical);

    }
}
